html {
    scroll-behavior: smooth;
}

body {
    /* padding-top: 85px; */
}

section {
    scroll-margin-top: 300px !important;
}


/* POPUP IMGAE */
/* Overlay */
.popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.7);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

/* Popup Box */
.popup-content {
    position: relative; /* penting agar X bisa absolute di dalamnya */
    border-radius: 12px;
    width: 90%;
    max-width: 400px;
    animation: fadeIn 0.5s ease;
    overflow: hidden;
}

/* Image */
.popup-content img {
    width: 100%;
    border-radius: 12px;
    display: block;
}

/* Close Button */
.popup-close {
    position: absolute;
    top: 8px;
    right: 12px;
    font-size: 28px;
    cursor: pointer;
    color: #fff;
    text-shadow: 1px 1px 3px rgba(0,0,0,0.8);
    z-index: 10;
}

@keyframes fadeIn {
    from {opacity: 0; transform: translateY(-20px);}
    to {opacity: 1; transform: translateY(0);}
}
/* END of POPUP IMAGE */

/* Floating Button */
#wa-btn{
    position: fixed;
    right: 18px;
    bottom: 18px;
    width: 55px;
    height: 55px;
    border-radius: 50%;
    background:#25D366;
    display:flex;
    align-items:center;
    justify-content:center;
    cursor:pointer;
    box-shadow:0 5px 20px rgba(0,0,0,.25);
    z-index:999;
    animation: pop .4s ease;
}
#wa-btn img{
    width:28px;
}
@keyframes pop{
    from{transform:scale(.5);opacity:0}
    to{transform:scale(1);opacity:1}
}

/* Popup */
#wa-popup{
    position:fixed;
    right:20px;
    bottom:85px;
    width:300px;
    background:white;
    border-radius:12px;
    box-shadow:0 20px 45px rgba(0,0,0,.25);
    z-index:999;
    display:none;
    overflow:hidden;
    transform:translateY(15px);
    opacity:0;
    transition:.3s ease;
}

#wa-popup.show{
    display:block;
    transform:translateY(0);
    opacity:1;
}

.wa-header{
    background:#25D366;
    color:white;
    padding:12px 15px;
    border-radius:12px 12px 0 0;
    display:flex;
    justify-content:space-between;
    align-items:center;
    font-size:14px;
}

.wa-header span{
    cursor:pointer;
    font-size:18px;
}

.wa-body{
    padding:15px;
}

.wa-body label{
    font-size:13px;
    font-weight:600;
}

#wa-name,
#wa-msg{
    font-size:13px;
    border-radius:6px;
}

#wa-send{
    background:#25D366;
    color:white;
    border:none;
    border-radius:8px;
    padding:8px;
    font-size:14px;
    transition:.2s;
}

#wa-send:hover{
    filter:brightness(.9);
    transform:translateY(-2px);
}

@media(max-width:600px){
    #wa-popup{
        right:10px;
        width:90%;
    }
}
/* End of Floating Button */

/* Solution */
#start {
    scroll-margin-top: 100px;
}

.solution-wrapper {
    width: 100%;
    height: 340px;
}

.solution-card {
    flex: 1;
    display: flex;
    padding: 30px;
    border-radius: 8px;
    color: white;
    transition: 0.4s ease;
    background-size: cover;
    background-position: center;
    position: relative;
    cursor: pointer;
    overflow: hidden;
    will-change: flex, transform;
}

.solution-card::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.45);
    transition: 0.4s ease;
}

.solution-card.active,
.solution-card:hover {
    flex: 2;
}

.solution-card:hover::before {
    background: rgba(0,0,0,0.55);
}

.solution-content {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 100%;
    z-index: 2;
}

/* Fade in on load */
.fade-cards, .fade-text {
    opacity: 0;
    transform: translateY(20px);
    transition: 0.8s ease;
}

/* Active animation */
.loaded .fade-cards,
.loaded .fade-text {
    opacity: 1;
    transform: translateY(0);
}

.hover-zoom:hover {
    transform: scale(1.03);
    transition: 0.3s;
}
/* End of Solution */

/* Inovation */
.innovation-tabs span {
    cursor: pointer;
    font-weight: 500;
    color: #6c757d;
    transition: .3s;
    padding-bottom: 6px;
}

.innovation-tabs span.active {
    color: #000;
    border-bottom: 2px solid #000;
}

.innovation-card {
    display: none;
    animation: fadeSlide .5s ease;
}

.innovation-card.active {
    display: block;
}

@keyframes fadeSlide {
    from {
        opacity: 0;
        transform: translateY(12px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
/* End of Inovation */

/* Footer */
.footer-link {
    color: #000;
    display: block;
    margin-bottom: .3rem;
    text-decoration: none;
    position: relative;
    width: fit-content;
    transition: .3s;
}

.footer-link::after {
    content: "";
    position: absolute;
    bottom: -2px;
    left: 0;
    width: 0;
    height: 1px;
    background: #000;
    transition: .3s;
}

.footer-link:hover::after {
    width: 100%;
}
/* End of Footer */


/* About Us */
/* Banner */
.about-hero {
    position: relative;
    background-image: url('/upload/industries/about-hero.webp') !important;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    min-height: 420px;
    display: flex;
    align-items: center;
}

/* overlay gelap */
.about-hero::before {
    content: '';
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.45);
}

/* pastikan konten di atas overlay */
.about-hero .container {
    position: relative;
    z-index: 1;
}

.about-hero::before {
    background: linear-gradient(
        180deg,
        rgba(0,0,0,0.6) 0%,
        rgba(0,0,0,0.3) 100%
    );
}
/* End of Banner */
/* About us */
